Loading...
Searching...
No Matches
QXmppBookmarkConference Class Reference

The QXmppBookmarkConference class represents a bookmark for a conference room, as defined by XEP-0048: Bookmarks. More...

`#include <QXmppBookmarkSet.h>`

## Public Member Functions

| QXmppBookmarkConference ()
bool | autoJoin () const
void | setAutoJoin (bool autoJoin)
QString | jid () const
void | setJid (const QString &jid)
QString | name () const
void | setName (const QString &name)
QString | nickName () const
void | setNickName (const QString &nickName)

## Detailed Description

The QXmppBookmarkConference class represents a bookmark for a conference room, as defined by XEP-0048: Bookmarks.

## Constructor & Destructor Documentation

## QXmppBookmarkConference()

QXmppBookmarkConference::QXmppBookmarkConference | ( |  | ) |

Constructs a new conference room bookmark.

## Member Function Documentation

## autoJoin()

bool QXmppBookmarkConference::autoJoin | ( |  | ) | const

Returns whether the client should automatically join the conference room on login.

## jid()

QString QXmppBookmarkConference::jid | ( |  | ) | const

Returns the JID of the conference room.

## name()

QString QXmppBookmarkConference::name | ( |  | ) | const

Returns the friendly name for the bookmark.

## nickName()

QString QXmppBookmarkConference::nickName | ( |  | ) | const

Returns the preferred nickname for the conference room.

## setAutoJoin()

void QXmppBookmarkConference::setAutoJoin | ( | bool | autoJoin | ) |

Sets whether the client should automatically join the conference room on login.

Parameters

  autoJoin |

## setJid()

void QXmppBookmarkConference::setJid | ( | const QString & | jid | ) |

Sets the JID of the conference room.

Parameters

  jid |

## setName()

void QXmppBookmarkConference::setName | ( | const QString & | name | ) |

Sets the friendly name for the bookmark.

Parameters

  name |

## setNickName()

void QXmppBookmarkConference::setNickName | ( | const QString & | nickName | ) |

Sets the preferred nickname for the conference room.

Parameters

  nickName |

The documentation for this class was generated from the following files:

- QXmppBookmarkSet.h
- QXmppBookmarkSet.cpp